MaaS-Seedream
Capability List
| Model ID | Capability Support | Rate limit (max. IPM sheets/minute) |
|---|---|---|
| doubao-seedream-5-0-pro-260628 | Single Image Generation: Text-to-Image, Single Image-to-Image, Multi-reference Image-to-Image | 500 |
| doubao-seedream-5-0-260128 (also compatible with: doubao-seedream-5-0-lite-260128) | Single-image generation: text-to-image, single image-to-image, multi-reference image-to-image Group-image generation: text-to-image group, single image-to-image group, multi-reference image-to-image group | 500 |
| doubao-seedream-4-5-251128 | Single-image generation: text-to-image, single image-to-image, multi-reference image-to-image Group-image generation: text-to-image group, single image-to-image group, multi-reference image-to-image group | 500 |
| doubao-seedream-4-0-250828 | Single-image generation: text-to-image, single image-to-image, multi-reference image-to-image Group-image generation: text-to-image group, single image-to-image group, multi-reference image-to-image group | 500 |
Interface and Request Parameters
POST
https://genaiapi-m2.cloudsway.net/v1/ai/ {endpointPath}/seedream/image/generations
Request Parameters
| Property | Type | Required | Description |
|---|---|---|---|
| prompt | string |
Yes | The prompt used to generate images. Supports both Chinese and English. It is recommended not to exceed 300 Chinese characters or 600 English words. Too many words may cause information to be scattered, and the model may ignore details and only focus on key points, resulting in missing elements in the image. |
| image |
string/array |
No |
Input image information, supports URL or Base64 encoding. seedream-5.0-lite/5.0-pro/4.5/4.0 supports single or multiple image input. (For images with a total size exceeding 10MB, it is recommended to use URL for delivery)
Seedream 5.0 Pro supports up to 10 reference images. |
| size |
string |
No | Specifies the size information for the generated image. The following two methods are supported and cannot be mixed.
|
| seed | integer | No | Default value -1. |
| sequential_image_generation |
string |
No | Only seedream-5.0-lite/4.5/4.0 supports this parameter. Seedream 5.0 Pro does not support this parameter. Controls whether to disable the group image generation feature. Default value: disabled.
|
| sequential_image_generation_options |
object | No | Only seedream-5.0-lite/4.5/4.0 supports this parameter. Configuration for the group image generation feature. Only takes effect when sequential_image_generation is set to auto. Seedream 5.0 Pro does not support this parameter. |
| sequential_image_generation_options.max_images |
integer |
No |
Specifies the maximum number of images that can be generated per request. Default value: 15.
The actual number of images that can be generated is affected not only by max_images, but also by the number of input reference images. Number of input reference images + number of finally generated images ≤ 15. |
| stream | boolean | No | Only seedream-5.0-lite/4.5/4.0 supports this parameter. Default value: false. Controls whether to enable streaming output mode.
|
| tools | Array | No | Only seedream-5.0-lite supports this parameter. |
| tools.type | string |
No | Only seedream-5.0-lite supports this parameter.
|
| guidance_scale |
float |
No |
seedream-3.0-t2i default value: 2.5 seededit-3.0-i2i default value: 5.5 seedream-5.0-lite/4.5/4.0 does not support this parameter. The degree of consistency between the model output and the prompt, i.e., the freedom of generated images, also known as text weight. The larger the value, the less freedom the model has, and the stronger the correlation with the user's input prompt. Value range: [1, 10]. |
| response_format |
string | No | Specifies the return format of the generated image. Default value: url. The generated image is in jpeg format and supports the following two return methods:
|
| watermark |
boolean | No | Whether to add a watermark to the generated image. Default value: true.
|
| output_format | string |
No | Only seedream-5.0-lite/5.0 pro supports this parameter.
|
| optimize_prompt_options | object |
No | Configuration for the prompt optimization feature. |
| optimize_prompt_options.mode |
string |
No | Sets the mode used for the prompt optimization feature. Default value: standard.
|
- Appendix 1: Recommended width and height pixel values for seedream4.5
| aspect ratio | width and height pixel values |
|---|---|
| 1:1 | 2048x2048 |
| 4:3 | 2304x1728 |
| 3:4 | 1728x2304 |
| 16:9 | 2560x1440 |
| 9:16 | 1440x2560 |
| 3:2 | 2496x1664 |
| 2:3 | 1664x2496 |
| 21:9 | 3024x1296 |
Appendix 2: seedream4.0
| resolution | aspect ratio | width and height pixel values |
|---|---|---|
| 1k | 1:1 | 1024x1024 |
| 4:3 | 1152x864 | |
| 3:4 | 864x1152 | |
| 16:9 | 1280x720 | |
| 9:16 | 720x1280 | |
| 3:2 | 1248x832 | |
| 2:3 | 832x1248 | |
| 21:9 | 1512x648 | |
| 2k | 1:1 | 2048x2048 |
| 4:3 | 2304x1728 | |
| 3:4 | 1728x2304 | |
| 16:9 | 2848x1600 | |
| 9:16 | 1600x2848 | |
| 3:2 | 2496x1664 | |
| 2:3 | 1664x2496 | |
| 21:9 | 3136x1344 | |
| 4k | 1:1 | 4096x4096 |
| 4:3 | 4704x3520 | |
| 3:4 | 3520x4704 | |
| 16:9 | 5504x3040 | |
| 9:16 | 3040x5504 | |
| 3:2 | 4992x3328 | |
| 2:3 | 3328x4992 | |
| 21:9 | 6240x2656 |
- Appendix 3: seedream5.0 lite
| resolution | aspect ratio | width and height pixel values |
|---|---|---|
| 2k | 1:1 | 2048x2048 |
| 4:3 | 2304x1728 | |
| 3:4 | 1728x2304 | |
| 16:9 | 2848x1600 | |
| 9:16 | 1600x2848 | |
| 3:2 | 2496x1664 | |
| 2:3 | 1664x2496 | |
| 21:9 | 3136x1344 | |
| 3k | 1:1 | 3072x3072 |
| 4:3 | 3456x2592 | |
| 3:4 | 2592x3456 | |
| 16:9 | 4096x2304 | |
| 9:16 | 2304x4096 | |
| 3:2 | 3744x2496 | |
| 2:3 | 2496x3744 | |
| 21:9 | 4704x2016 | |
| 4k | 1:1 | 4096x4096 |
| 4:3 | 4704x3520 | |
| 3:4 | 3520x4704 | |
| 16:9 | 5504x3040 | |
| 9:16 | 3040x5504 | |
| 3:2 | 4992x3328 | |
| 2:3 | 3328x4992 | |
| 21:9 | 6240x2656 |
- Appendix 4: Recommended Aspect Ratio Pixel Values for seedream5.0 pro
| resolution | aspect ratio | width and height pixel values |
|---|---|---|
| 1k | 1:1 | 1024x1024 |
| 4:3 | 1152x864 | |
| 3:4 | 864x1152 | |
| 16:9 | 1424x800 | |
| 9:16 | 800x1424 | |
| 3:2 | 1248x832 | |
| 2:3 | 832x1248 | |
| 21:9 | 1568x672 | |
| 1.5K | 1:1 | 1536x1536 |
| 4:3 | 1792x1344 | |
| 3:4 | 1344x1792 | |
| 16:9 | 2048x1152 | |
| 9:16 | 1152x2048 | |
| 3:2 | 1872x1248 | |
| 2:3 | 1248x1872 | |
| 21:9 | 2352x1008 | |
| 2k | 1:1 | 2048x2048 |
| 4:3 | 2368x1776 | |
| 3:4 | 1776x2368 | |
| 16:9 | 2816x1584 | |
| 9:16 | 1584x2816 | |
| 3:2 | 2496x1664 | |
| 2:3 | 1664x2496 | |
| 21:9 | 3136x1344 |
Request Body Example
Text-to-Image
curl https://genaiapi-m2.cloudsway.net/v1/ai/{endpointPath}/seedream/image/generations \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $API_KEY" \
-d '{
"prompt": "A vibrant close-up editorial portrait, the model has a sharp gaze, wearing a sculptural hat, rich color blocking, sharp eye focus, shallow depth of field, Vogue magazine cover aesthetic style, shot in medium format, with intense studio lighting.",
"size": "2K",
"watermark": false
}'
Image-to-Image
curl -X https://genaiapi-m2.cloudsway.net/v1/ai/{endpointPath}/seedream/image/generations \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${your_AK}" \
-d '{
"prompt": "Keep the model pose and the flowing shape of the liquid garment unchanged. Change the garment material from silver metal to completely transparent clear water (or glass). Through the liquid water flow, the skin details of the model can be seen. The light and shadow change from reflection to refraction.",
"image": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_5_imageToimage.png",
"size": "2K",
"watermark": false
}'
Multi-Image to Image
curl -X https://genaiapi-m2.cloudsway.net/v1/ai/{endpointPath}/seedream/image/generations \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${your_AK}" \
-d '{
"prompt": "Replace the clothing in image 1 with the clothing in image 2",
"image": ["https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimage_1.png", "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_5_imagesToimage_2.png"],
"sequential_image_generation": "disabled",
"size": "2K",
"watermark": false
}'
Example of Non-Streaming Response
{
"model": "doubao-seedream-4-5-251128",
"created": 1757323224,
"data": [
{
"url": "https://...",
"output_format": "jpeg",
"size": "1760x2368"
}
],
"usage": {
"generated_images": 1,
"output_tokens": 16280,
"input_images": 3,
"total_tokens": 16280
}
}
Example of Streaming Response
event: image_generation.partial_succeeded
data: {
"type": "image_generation.partial_succeeded",
"model": "doubao-seedream-4-5-251128",
"created": 1757396757,
"image_index": 0,
"url": "https://...",
"size": "2496x1664"
}
event: image_generation.partial_succeeded
data: {
"type": "image_generation.partial_succeeded",
"model": "doubao-seedream-4-5-251128",
"created": 1757396785,
"image_index": 1,
"url": "https://...",
"size": "2496x1664"
}
event: image_generation.partial_succeeded
data: {
"type": "image_generation.partial_succeeded",
"model": "doubao-seedream-4-5-251128",
"created": 1757396825,
"image_index": 2,
"url": "https://...",
"size": "2496x1664"
}
event: image_generation.completed
data: {
"type": "image_generation.completed",
"model": "doubao-seedream-4-5-251128",
"created": 1757396825,
"usage": {
"generated_images": 3,
"output_tokens": 48672,
"total_tokens": 48672
}
}
data: [DONE]
Description of Streaming Response Events
| Event Type | Description |
|---|---|
| image_generation.partial_succeeded | In streaming response mode, this event is returned when any image is successfully generated |
| image_generation.partial_failed |
In the streaming response mode, this event is returned when any image fails to be generated.
|
| image_generation.completed | It is the last response event of this streaming return, which is returned after all requested images (whether successful or failed) have been processed. |